=== debian/changelog ===
t4kcommon (0.1.1-3) unstable; urgency=medium

  * Bump Standards-Version to 4.1.1, no changes needed.
  * Bump debian/compat to 10 and build-depend on debhelper >= 10.2.5~ and
    remove --parallel from dh call in debian/rules as this is the default with
    compat 10. Similarly remove dh-autoreconf from build-depends and remove
    --autoreconf from dh call as well.

 -- Holger Levsen <holger@debian.org>  Sat, 30 Sep 2017 00:19:19 +0200

t4kcommon (0.1.1-2) unstable; urgency=medium

  [ Dmitry Smirnov ]
  * Upgrade Vcs-Browser URL.

  [ Holger Levsen ]
  * Acknowledge NMU, thanks Tobias.
  * Bump standards version to 3.9.8, no changes needed. 
  * Use git instead of cgit in Vcs-Browser URL.

 -- Holger Levsen <holger@debian.org>  Thu, 29 Sep 2016 14:02:09 +0200

t4kcommon (0.1.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS against new libpng1.6 API. Patch from BTS (Closes: #743388)
  * Add explicit B-D against libpng-dev (to avoid that we miss it again the
    next transition)

 -- Tobias Frost <tobi@debian.org>  Thu, 07 Apr 2016 21:11:17 +0200

t4kcommon (0.1.1-1) unstable; urgency=low

  [ Dmitry Smirnov ]
  * Preparing for release (Closes: #718631).

  [ Holger Levsen ]
  * Initial release, needed for new tuxmath version. Will in future also
    be used for tuxtype.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 20 Nov 2013 13:14:21 +1100
