=== debian/watch ===
version=3

# devscripts/uscan [2.12.6, 2.13.2] are affected by #712261: "406 Not Acceptable"

 http://alioth.debian.org/frs/?group_id=31080 \
  .*/t4k_common-([0-9.]+)\.tar\.(?:gz|bz2|xz)
